# Update a taxonomy

Updates a taxonomy. You can, for example, add new taxonomy terms, delete existing terms, or change properties associated with the taxonomy or its terms.

Endpoint: PUT /api/v2/cm/branches/{branchId}/taxonomies/{taxonomyId}
Version: v2.0
Security: OAuth2.0

## Security:

  - `OAuth2.0` (unknown)
    oauth2

## Path parameters:

  - `branchId` (string, required)
    The ID of the branch, for example `prod`.

  - `taxonomyId` (string, required)
    The ID of the taxonomy, for example `color`.

## Query parameters:

  - `version` (integer)
    The version of the taxonomy, for example `1`

## Request body:

  - `application/json-patch+json, application/json, text/json, application/*+json` (unknown)
    Parameter containing the taxonomy details.

## Request fields (application/json-patch+json):

  - `name` (string)

  - `label` (string)

  - `versionTags` (array)

  - `terms` (array)

  - `terms.id` (string)

  - `terms.name` (string)

  - `terms.label` (string)

## Response 204:

  - `204` (unknown)
    Successful update

## Response 400:

  - `400` (unknown)
    Request not valid or error during operation

## Response 400 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized request or invalid access token

## Response 401 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 403:

  - `403` (unknown)
    Request does not contain required scopes

## Response 403 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 404:

  - `404` (unknown)
    Item or entity not found

## Response 404 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 500:

  - `500` (unknown)
    Server-side exception during request execution

